# Created by pyp2rpm-1.0.1
%global pypi_name pyqtgraph

Name:           python-%{pypi_name}
Version:        0.12.3
Release:        %mkrel 1
Group:          Development/Python
Summary:        Scientific Graphics and GUI Library for Python
License:        MIT
URL:            http://www.pyqtgraph.org/
Source0:       %{pypi_name}-%{version}.tar.xz
BuildArch:      noarch

%description
PyQtGraph is a pure-python graphics and GUI library built on PyQt5/PySide
and numpy.

It is intended for use in mathematics / scientific / engineering
applications. Despite being written entirely in python, the library
is very fast due to its heavy leverage of numpy for number crunching,
Qt's GraphicsView framework for 2D display, and OpenGL for 3D display.

%package -n python3-%{pypi_name}
Summary:        Scientific Graphics and GUI Library for Python 3
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-qt5
BuildRequires:	python3-numpy
BuildRequires:  python3-matplotlib
BuildRequires:  python3-matplotlib-qt5
BuildRequires:  python3-opengl

Requires:       python3-qt5

%description -n python3-%{pypi_name}
PyQtGraph is a pure-python graphics and GUI library built on PyQt5/PySide
and numpy.

It is intended for use in mathematics / scientific / engineering
applications. Despite being written entirely in python, the library
is very fast due to its heavy leverage of numpy for number crunching,
Qt's GraphicsView framework for 2D display, and OpenGL for 3D display.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/%{pypi_name}/

%changelog
* Fri Aug 19 2022 tex - 0.12.3-1pclos2022
- create pkg
